#
# spec file for package python-Paste
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Paste
Version:        2.0.1
Release:        5.8
Url:            http://pythonpaste.org
Summary:        Tools for using a Web Server Gateway Interface stack
License:        MIT
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/P/Paste/Paste-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Documentation build requirements:
BuildRequires:  python-Sphinx
# Test build requirements:
BuildRequires:  python-flup
BuildRequires:  python-nose
BuildRequires:  python-python-openid
BuildRequires:  python-six
Requires:       python-flup
Requires:       python-python-openid
Requires:       python-six
Provides:       python-paste = %{version}
Obsoletes:      python-paste < %{version}
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
These provide several pieces of "middleware" (or filters) that can be nested
to build web applications.  Each piece of middleware uses the WSGI (PEP 333)
interface, and should be compatible with other middleware based on those
interfaces.

%prep
%setup -q -n Paste-%{version}
# remove test requiring internet access
rm tests/test_proxy.py

%build
python setup.py build
python setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py -q test

%files
%defattr(-,root,root,-)
%doc build/sphinx/html
%{python_sitelib}/*

%changelog
* Fri May  8 2015 benoit.monin@gmx.fr
- update to version 2.0.1:
  * Fix setup.py for six dependency: move the six dependency from
    extras_require to install_requires
  * Port paste.proxy to Python 3
  * Fix paste.exceptions.serial_number_generator.hash_identifier()
    on Python 3
  * Fix paste.util.threadedprint.uninstall()
  * Add README.rst file
- additional changes from version 2.0:
  * Experimental Python 3 support
  * paste now requires the six module
  * Drop support of Python 2.5 and older
  * Fixed egg:Paste#cgi
  * In paste.httpserver: give a 100 Continue response even when the
    server has been configured as an HTTP/1.0 server
  * Fixed parsing of paths beginning with multiple forward slashes
  * Add tox.ini to run tests with tox on Python 2.6, 2.7 and 3.4
- add python-six as dependency
- add python-flup, python-nose and python-python-openid as test
  dependencies
- remove test requiring internet access: test_proxy.py
- reenable the tests
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Thu Nov 22 2012 saschpe@suse.de
- Require python-python-openid instead of non-existing python-openid
- Build HTML documentation
* Wed Jun 22 2011 saschpe@suse.de
- Initial version, obsoletes 'python-paste'
